#!/bin/bash

URL="https://www.gesundheitsamt-bw.de/lga/DE/Fachinformationen/Infodienste_Newsletter/InfektNews/Lagebericht%20COVID19/COVID_Lagebericht_LGA_201028.pdf"
echo -e "Version: 1.6.0p7\nAgentOS: linux\nHostname: Nordrhein-Westfalen\n\n<<<local>>>"

## wir werten die offiziellen Daten aus
wget --quiet -O /tmp/corona_bw.pdf "${URL}"


## Inzidenz entspricht den 7-Tages-Inzidenz
## nFaelle14 entspricht den neuen Fällen in 14 Tagen und wird nicht betrachtet
pdfgrep " " /tmp/corona_bw.pdf | egrep '^LK |^SK |^Gesamt ' |sed -e 's/(+//g' -e 's/)//g' -e 's/ Hall/_Hall/' -e 's/ im Breisgau/_im_Breisgau/' -e 's/Gesamt/Baden Württemberg/' |while read LK Landkreis gFaelle nFaelle nFaelle100000 Todesfaelle nFaelle1 nFaelle7 Inzidenz 
do
#        LandkreisB="${LK}_${Landkreis}"

        ## Etwas filtern
#        [ `echo "$Landkreis $Inzidenz $nFaelle $gFaelle $Genesene $Todesfaelle" | wc -w` -ne 6 ]  && continue

        ## Berenigte Werte für die Ausgabe
        InzidenzB=`echo ${Inzidenz} | cut -d',' -f1`
        LandkreisB=`echo ${LK}_${Landkreis} | sed 's/ /_/g'`

        ## Okay, wir verdoppeln das kritische mal auf 100
        if [ ${InzidenzB} -ge 200 ]
        then
                STATE=2 
        ## und gewarnt wird "erst" ab 50
        elif [ ${InzidenzB} -ge 100 ]
        then
                STATE=1
        else
                STATE=0
        fi

        PERFDATA=`echo "Inzidenz=${InzidenzB}|neueFaelle=${nFaelle}|gemeldetenFaelle=${gFaelle}|Todesfaelle=${Todesfaelle}" | sed 's/\.//g'`

#        echo "${STATE} ${LandkreisB} Inzidenz=${InzidenzB}|neueFaelle=${nFaelle}|gemeldetenFaelle=${gFaelle}|Todesfaelle=${Todesfaelle} 7-Tage-Inzidenz: ${Inzidenz} neueFaelle: ${nFaelle} gemeldetenFaelle: ${gFaelle} Todesfaelle: ${Todesfaelle}" 
        echo "${STATE} ${LandkreisB} ${PERFDATA} 7-Tage-Inzidenz: ${Inzidenz} neueFaelle: ${nFaelle} gemeldetenFaelle: ${gFaelle} Todesfaelle: ${Todesfaelle}" 
        
done


rm /tmp/corona_bw.pdf
